Bug 357435 - Plasma Crash on attempting to change desktop settings
Summary: Plasma Crash on attempting to change desktop settings
Status: RESOLVED FIXED
Alias: None
Product: kactivitymanagerd
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Ivan Čukić
URL:
Keywords: drkonqi
: 357904 359355 359617 360626 360744 361261 362145 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-01-02 16:17 UTC by Vishnu
Modified: 2016-04-29 16:10 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vishnu 2016-01-02 16:17:34 UTC
Application: plasmashell (5.5.2)

Qt Version: 5.5.1
Operating System: Linux 4.1.15-1-MANJARO x86_64
Distribution: "Manjaro Linux"

-- Information about the crash:
- What I was doing when the application crashed:
Meta+Tab > Settings (of the 'Default' desktop) > Others

- Unusual behavior I noticed:
Plasma Shell immediately crashes and restarts.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fad49eb4800 (LWP 804))]

Thread 18 (Thread 0x7fad34f40700 (LWP 805)):
#0  0x00007fad444f618d in poll () from /usr/lib/libc.so.6
#1  0x00007fad4865aae2 in ?? () from /usr/lib/libxcb.so.1
#2  0x00007fad4865c757 in xcb_wait_for_event () from /usr/lib/libxcb.so.1
#3  0x00007fad3665b379 in ?? () from /usr/lib/libQt5XcbQpa.so.5
#4  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#5  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 17 (Thread 0x7fad2e60f700 (LWP 945)):
#0  0x00007fad414b5614 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#1  0x00007fad41470540 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fad41470eeb in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fad44e1956b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fad44bdcbe4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fad474f1055 in ?? () from /usr/lib/libQt5Qml.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 16 (Thread 0x7fad231a3700 (LWP 947)):
#0  0x00007fad444f618d in poll () from /usr/lib/libc.so.6
#1  0x00007fad41470fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fad44e1956b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fad44bdcbe4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fad474f1055 in ?? () from /usr/lib/libQt5Qml.so.5
#7  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 15 (Thread 0x7fad217b4700 (LWP 950)):
#0  0x00007fad4146dfe0 in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007fad414704eb in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fad41470eeb in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fad44e1956b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fad44bdcbe4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fad474f1055 in ?? () from /usr/lib/libQt5Qml.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 14 (Thread 0x7fad1bdf7700 (LWP 961)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad49916934 in ?? () from /usr/lib/libQt5Script.so.5
#2  0x00007fad49916979 in ?? () from /usr/lib/libQt5Script.so.5
#3  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#4  0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 13 (Thread 0x7fad18bd4700 (LWP 977)):
#0  0x00007fad49e96589 in __tls_get_addr () from /lib64/ld-linux-x86-64.so.2
#1  0x00007fad44be0ad2 in ?? () from /usr/lib/libQt5Core.so.5
#2  0x00007fad44e18db1 in ?? () from /usr/lib/libQt5Core.so.5
#3  0x00007fad414709f1 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#4  0x00007fad41470f60 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0x00007fad44e1956b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#8  0x00007fad44bdcbe4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#9  0x00007fad47ea0136 in ?? () from /usr/lib/libQt5Quick.so.5
#10 0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#11 0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 12 (Thread 0x7fac821c6700 (LWP 1171)):
#0  0x00007fad444f618d in poll () from /usr/lib/libc.so.6
#1  0x00007fad41470fbc in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007fad44e1956b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#4  0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fad44bdcbe4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#6  0x00007fac846e7bc7 in KCupsConnection::run() () from /usr/lib/libkcupslib.so
#7  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#8  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#9  0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 11 (Thread 0x7fac798b5700 (LWP 1873)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 10 (Thread 0x7fac6fde9700 (LWP 1874)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#13 0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#14 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 9 (Thread 0x7fac6f5e8700 (LWP 1875)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#9  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#10 0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#11 0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#12 0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#13 0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#14 0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#15 0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#16 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 8 (Thread 0x7fac6ede7700 (LWP 1876)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7fac6e5e6700 (LWP 1877)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7fac6dde5700 (LWP 1878)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7fac6d5e4700 (LWP 1879)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7fac6cde3700 (LWP 1880)):
#0  0x00007fad43d0407f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1  0x00007fad44be2e2b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQt5Core.so.5
#2  0x00007fac8d1a837f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#3  0x00007fac8d1acb28 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#4  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#5  0x00007fac8d1acb82 in ?? () from /usr/lib/libKF5ThreadWeaver.so.5
#6  0x00007fac8d1a7433 in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () from /usr/lib/libKF5ThreadWeaver.so.5
#7  0x00007fac8d1aa3c3 in ThreadWeaver::Thread::run() () from /usr/lib/libKF5ThreadWeaver.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7fab0f200700 (LWP 6574)):
#0  0x00007fad414b5614 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#1  0x00007fad41470540 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007fad41470eeb in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007fad44e1956b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#5  0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fad44bdcbe4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#7  0x00007fad474f1055 in ?? () from /usr/lib/libQt5Qml.so.5
#8  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#9  0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7fab063df700 (LWP 6575)):
#0  0x00007fad444f216d in read () from /usr/lib/libc.so.6
#1  0x00007fad414b4270 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007fad41470aa4 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007fad41470f60 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007fad44e1956b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#6  0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#7  0x00007fad44bdcbe4 in QThread::exec() () from /usr/lib/libQt5Core.so.5
#8  0x00007fad474f1055 in ?? () from /usr/lib/libQt5Qml.so.5
#9  0x00007fad44be1b8e in ?? () from /usr/lib/libQt5Core.so.5
#10 0x00007fad43cfe4a4 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007fad444ff13d in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7fad49eb4800 (LWP 804)):
[KCrash Handler]
#5  0x00007fad4747b2b0 in QQmlBoundSignalExpression::function() const () from /usr/lib/libQt5Qml.so.5
#6  0x00007fad4747b360 in QQmlBoundSignalExpression::sourceLocation() const () from /usr/lib/libQt5Qml.so.5
#7  0x00007fad4745b1b8 in QQmlData::destroyed(QObject*) () from /usr/lib/libQt5Qml.so.5
#8  0x00007fad44df93d4 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#9  0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#10 0x00007fad47f4ced6 in ?? () from /usr/lib/libQt5Quick.so.5
#11 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#12 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#13 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#14 0x00007fad47f4d616 in ?? () from /usr/lib/libQt5Quick.so.5
#15 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#16 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#17 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#18 0x00007fad47f4d616 in ?? () from /usr/lib/libQt5Quick.so.5
#19 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#20 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#21 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#22 0x00007fad47f4d616 in ?? () from /usr/lib/libQt5Quick.so.5
#23 0x00007fad47530f8b in QQmlDelegateModel::~QQmlDelegateModel() () from /usr/lib/libQt5Qml.so.5
#24 0x00007fad475310e9 in QQmlDelegateModel::~QQmlDelegateModel() () from /usr/lib/libQt5Qml.so.5
#25 0x00007fad47fc4036 in ?? () from /usr/lib/libQt5Quick.so.5
#26 0x00007fad47fc4049 in ?? () from /usr/lib/libQt5Quick.so.5
#27 0x00007fad44df9618 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#28 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#29 0x00007fad47f4e176 in ?? () from /usr/lib/libQt5Quick.so.5
#30 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#31 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#32 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#33 0x00007fad47f4ca7e in ?? () from /usr/lib/libQt5Quick.so.5
#34 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#35 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#36 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#37 0x00007fad47f4cd46 in ?? () from /usr/lib/libQt5Quick.so.5
#38 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#39 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#40 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#41 0x00007fad47f4ced6 in ?? () from /usr/lib/libQt5Quick.so.5
#42 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#43 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#44 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#45 0x00007fad47f4d616 in ?? () from /usr/lib/libQt5Quick.so.5
#46 0x00007fad44def84b in QObjectPrivate::deleteChildren() () from /usr/lib/libQt5Core.so.5
#47 0x00007fad44df95d0 in QObject::~QObject() () from /usr/lib/libQt5Core.so.5
#48 0x00007fad47f32ead in QQuickItem::~QQuickItem() () from /usr/lib/libQt5Quick.so.5
#49 0x00007fad47f4ced6 in ?? () from /usr/lib/libQt5Quick.so.5
#50 0x00007fad44df2200 in QObject::event(QEvent*) () from /usr/lib/libQt5Core.so.5
#51 0x00007fad47f3172b in QQuickItem::event(QEvent*) () from /usr/lib/libQt5Quick.so.5
#52 0x00007fad458c69ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#53 0x00007fad458cbe86 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQt5Widgets.so.5
#54 0x00007fad44dc2bab in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQt5Core.so.5
#55 0x00007fad44dc4fa6 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQt5Core.so.5
#56 0x00007fad44e19143 in ?? () from /usr/lib/libQt5Core.so.5
#57 0x00007fad41470dc7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#58 0x00007fad41471020 in ?? () from /usr/lib/libglib-2.0.so.0
#59 0x00007fad414710cc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#60 0x00007fad44e1954f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#61 0x00007fad44dc057a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQt5Core.so.5
#62 0x00007fad45ac1acd in QDialog::exec() () from /usr/lib/libQt5Widgets.so.5
#63 0x00007fab0c3d8c7c in ?? () from /usr/lib/qt/qml/org/kde/activities/settings/libkactivitiessettingsplugin.so
#64 0x00007fad474aef69 in ?? () from /usr/lib/libQt5Qml.so.5
#65 0x00007fad4742d06c in ?? () from /usr/lib/libQt5Qml.so.5
#66 0x00007fad4742e8bc in ?? () from /usr/lib/libQt5Qml.so.5
#67 0x00007fad4742f0cd in QV4::QObjectMethod::callInternal(QV4::CallData*) () from /usr/lib/libQt5Qml.so.5
#68 0x00007fad47445aa3 in QV4::Runtime::callProperty(QV4::ExecutionEngine*, int, QV4::CallData*) () from /usr/lib/libQt5Qml.so.5
#69 0x00007fad21b1d818 in ?? ()
#70 0x0000000000000000 in ?? ()

Possible duplicates by query: bug 357383, bug 357246, bug 357113, bug 356411, bug 355957.

Reported using DrKonqi
Comment 1 David Edmundson 2016-01-06 15:55:50 UTC
#62 0x00007fad45ac1acd in QDialog::exec() () from /usr/lib/libQt5Widgets.so.5 #63 0x00007fab0c3d8c7c in ?? () from /usr/lib/qt/qml/org/kde/activities/settings/libkactivitiessettingsplugin.so


Gah. You can't exec() from inside QML. You'll get crashes.
Comment 2 Vishnu 2016-01-06 16:22:02 UTC
(In reply to David Edmundson from comment #1)
> Gah. You can't exec() from inside QML. You'll get crashes.

I don't know what that means. Am I not supposed to do that?
Comment 3 Ivan Čukić 2016-01-06 16:24:10 UTC
@Vishnu

The comment was for me :)
Comment 4 Ivan Čukić 2016-01-06 16:27:45 UTC
@David

Can you elaborate why modal dialogs can not be used in qml?
Comment 5 David Edmundson 2016-01-06 16:34:35 UTC
http://doc.qt.io/qt-5/qtquick-performance.html

Note: A pattern which is tempting, but should never be used, is creating your own QEventLoop or calling QCoreApplication::processEvents() in order to avoid blocking within a C++ code block invoked from QML. This is dangerous, because when an event loop is entered in a signal handler or binding, the QML engine continues to run other bindings, animations, transitions, etc. Those bindings can then cause side effects which, for example, destroy the hierarchy containing your event loop.

--

You'd think it should be safe if you launch it from a queued connection so that the heirachy doesn't contain anything on the QML side.. however we still got crashes when kickoff did that. Didn't really understand that.
Comment 6 David Edmundson 2016-01-14 00:22:30 UTC
*** Bug 357904 has been marked as a duplicate of this bug. ***
Comment 7 David Edmundson 2016-02-02 13:23:29 UTC
Git commit 6b83071705add65a5c0b4cf1b808c8ae8137967b by David Edmundson.
Committed on 02/02/2016 at 13:23.
Pushed by davidedmundson into branch 'master'.

Don't call exec() from QML

This is dangerous and leads to crashes as the QML processing still
continues in the new event loop.

Ideally we should never block the plasmashell UI anyway.

This changes it for a non blocking version.
REVIEW: 126945

M  +6    -2    src/workspace/settings/imports/activitysettings.cpp

http://commits.kde.org/kactivities/6b83071705add65a5c0b4cf1b808c8ae8137967b
Comment 8 David Edmundson 2016-02-15 16:53:54 UTC
*** Bug 359355 has been marked as a duplicate of this bug. ***
Comment 9 David Edmundson 2016-02-22 13:42:21 UTC
*** Bug 359617 has been marked as a duplicate of this bug. ***
Comment 10 Marco Martin 2016-03-17 14:54:48 UTC
*** Bug 360626 has been marked as a duplicate of this bug. ***
Comment 11 Marco Martin 2016-03-22 11:01:02 UTC
*** Bug 360744 has been marked as a duplicate of this bug. ***
Comment 12 Marco Martin 2016-04-07 10:31:33 UTC
*** Bug 361261 has been marked as a duplicate of this bug. ***
Comment 13 David Edmundson 2016-04-29 16:10:14 UTC
*** Bug 362145 has been marked as a duplicate of this bug. ***